<!--
IGAC proyecto SNC

@author fredy.wilches
@version 2.0
@description Formulario de ejecución  
@cu CU-CO-V-01

-->
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!-- 		author: david.cifuentes 			-->
<!-- Gestionar ficha matriz - Detalle registro 	-->

<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:p="http://primefaces.org/ui" width="100%"
             id="detalleMatriculaPanel">

    <h:form id="detalleMatriculaForm">
        <script type="text/javascript"
                src="#{request.contextPath}/js/jquery.autotab-1.1b.js" />
        <script type="text/javascript">
            $(document)
                    .ready(
                            function () {
                                $(
                                        '#detalleMatriculaForm'
                                        + validColonString() + 'matriculaInmobiliariaFichaMatriz')
                                        .autotab_magic().autotab_filter('numeric');
                            });
        </script>

        <h:panelGrid columns="1" cellspacing="5">

            <p:messages id="msgDetallRegistro" showDetail="false"
                        globalOnly="false" />

            <h:panelGrid columns="4" width="100%" cellpadding="5" cellspacing="5">

                <h:panelGrid columns="2" cellspacing="5" cellpadding="5">
                    <h:outputLabel value="Matrícula antigua: "
                                   styleClass="outputLabelStyle" />
                    <h:inputText
                        value="#{managedBeanParam.predioSeleccionado.numeroRegistroAnterior}"
                        disabled="true"
                        label="Número de registro de matrícula inmobiliaria anterior"
                        style="width:100px;height:14px;" />
                </h:panelGrid>
                <h:outputLabel value="Número de registro: "
                               styleClass="outputLabelStyle" />
                <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                <h:inputText
                    value="#{managedBeanParam.numeroRegistroInfoMatriculaNueva}"
                    id="matriculaInmobiliariaFichaMatriz" required="true"
                    maxlength="19" label="Número de registro"
                    disabled="#{rc.dhMatriculaInmobiliaria and rc.dhMatriculaInmobiliariaMatriz and !managedBeanParam.matriculaVaciaBool}" 
                    style="width:150px;height:14px;" />
                <p:message for="matriculaInmobiliariaFichaMatriz" display="icon" />

                <h:outputLabel value="Círculo registral: "
                               styleClass="outputLabelStyle" />
                <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                <h:selectOneMenu id="circuloRegistral" required="true" label="Círculo registral" 
                                 disabled="#{rc.dhMatriculaInmobiliaria and rc.dhMatriculaInmobiliariaMatriz and !managedBeanParam.matriculaVaciaBool}"
                                 value="#{managedBeanParam.circuloRegistralSeleccionado}"
                                 style="position:relative;left:4px;">
                    <f:selectItems
                        value="#{managedBeanParam.itemListCirculosRegistrales}" />
                </h:selectOneMenu>
                <p:message for="circuloRegistral" display="icon" />

            </h:panelGrid>

            <h:panelGrid columns="1" cellspacing="5" width="100%">
                <p:commandButton value="Aceptar" id="aceptarRegistroMatriculaBtn"
                                 process="@form"
                                 update=":tabView1:gestionarUbicacionDelTramite:matriculaInmobiliariaPanelGrid, detalleMatriculaForm"
                                 disabled="#{rc.dhMatriculaInmobiliaria and rc.dhMatriculaInmobiliariaMatriz and !managedBeanParam.matriculaVaciaBool}"
                                 action="#{managedBeanParam.guardarMatriculaInmobiliaria}"
                                 icon="ui-icon-check"
                                 oncomplete="handleCompleteSIC(xhr, status, args, detalleRegistroWV, false)">
                </p:commandButton>

            </h:panelGrid>
        </h:panelGrid>

    </h:form>

</h:panelGrid>
